Several of the villagers here could use your help. Talk to them and click on Quest to see what missions they have to offer.
Of course, even if they're looking for help they're not going to offer you a mission that's beyond your capabilities. If they refuse to offer you anything, it means you need to get some more experience first. Nobody wants you to get into trouble you can't get out of.
And remember - some quests can only be completed once, but others can be completed several times.
I want to know more about quests.
Return